require 'test/unit'
require 'test-strings'

class  CounterstringTests < Test::Unit::TestCase

  def test_short_strings
    assert_equal('', counterstring(0)) 
    assert_equal('*', counterstring(1)) 
    assert_equal('2*', counterstring(2)) 
    assert_equal('*3*', counterstring(3)) 
  end

  def test_longer_strings
    assert_equal('2*4*', counterstring(4)) 
    assert_equal('*3*5*', counterstring(5))
  end

  def test_two_digit_strings
    assert_equal('*3*5*7*10*', counterstring(10))
    assert_equal('2*4*6*8*11*', counterstring(11))
    assert_equal('2*4*6*8*11*14*17*20*',
                 counterstring(20))
  end

end

